Page MenuHomePhabricator

Footer icons and copyright link ignores $wgExternalLinkTarget
Closed, ResolvedPublic

Description

The setting $wgExternalLinkTarget is ignored in some links in the footer:

  • Powered by MediaWiki icon (and probably any other $wgFooterIcons)
  • License icon (in Monobook may be rendered differently from other footer icons, since it's left-floated instead of right)
  • Link to the license terms.

See issue in Support Desk

See also:

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2015, 2:58 PM

Can you provide me some example links where I can see this errors?

@Saptak013

  1. Install MediaWiki,
  2. set $wgExternalLinkTarget = '_blank'; in LocalSettings.php.
  3. You'll see that clicking the Powered by MediaWiki icon, License icon or the Link to the license terms in the footer loads on the same page instead of opening a new page

Hi @Saptak013, for general information how to get started working on code (and how to install MediaWiki yourself), please see How to become a MediaWiki hacker. Thanks & looking forward to your patch!

ok.. Got it..

Pushed for a gerrit review. https://gerrit.wikimedia.org/r/#/c/243232/ . Please verify.

Change 243232 had a related patch set uploaded (by Martineznovo):
Footer icons modified to follow $wgExternalLinkTarget

https://gerrit.wikimedia.org/r/243232

Change 243484 had a related patch set uploaded (by Saptak013):
Footer icons modified to follow $wgExternalLinkTarget

https://gerrit.wikimedia.org/r/243484

Modified the commit to follow the mediawiki convention.
https://gerrit.wikimedia.org/r/#/c/243484/ Please check

(No need to add duplicated comments - gerritbot already notifies this task about related patches.)

Change 243232 abandoned by Saptak013:
Footer icons modified to follow $wgExternalLinkTarget

https://gerrit.wikimedia.org/r/243232

Umherirrender set Security to None.
Umherirrender removed a subscriber: gerritbot.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 28 2015, 8:31 PM

There's still a patch for review...

EddieGP added a subscriber: EddieGP.

Patch was abandoned. @Ciencia_Al_Poder are you going to work on this? If not, I might have a look.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFeb 19 2017, 10:32 PM

I'm not going to work on it, but https://gerrit.wikimedia.org/r/#/c/243484/ is still alive. Needs a rebase though

Was rebased.

Change 243484 merged by jenkins-bot:
Modify footer icons to use $wgExternalLinkTarget

https://gerrit.wikimedia.org/r/243484

Ciencia_Al_Poder closed this task as Resolved.Mar 1 2017, 8:35 PM
EddieGP claimed this task.Mar 1 2017, 10:26 PM
EddieGP triaged this task as Medium priority.Mar 3 2017, 7:50 PM